%define	bitlbid	bitlbee

Summary:	IRC proxy to connect to ICQ, AOL, MSN and Jabber
Name:		bitlbee
Version:	3.2.2
%define subrel	1
Release:	%mkrel 4
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://bitlbee.org/
Source0:	http://get.bitlbee.org/src/%{name}-%{version}.tar.gz
# When the above patches will  be consolidated upstream, this should merge
# with Patch1 or Patch2 or something like that
Patch3:		bitlbee-forkdaemon.patch
# Patch suggested to upstream via http://bugs.bitlbee.org/bitlbee/ticket/1162
Patch5:		bitlbee-3.2.2-no-root.patch
# MSN app id update + fixes from upstream
# bzr diff protocols/msn/ --prefix old/:new/ -r1054..1064
Patch6:		bitlbee-3.2.2-msn-fixes.patch
Patch7:		bitlbee-3.2.2-CVE-2016-10188.patch
Patch8:		bitlbee-3.2.2-CVE-2016-10189.patch
Patch9:		bitlbee-3.2.2-CVE-2017-5668.patch
BuildRequires:	glib2-devel 
BuildRequires:	libsoup-devel >= 1.99.23
BuildRequires:	gnutls-devel 
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(libotr)
Requires(post):	ccp
Requires(pre):	rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
%{name} is a proxy which accepts connections from any irc-client
and allows you to communicate using following instant messaging
protocols:

 - ICQ
 - AIM
 - MSN
 - YIM
 - Jabber (including Google Talk and Facebook)
 - Twitter

%prep
%setup -q
%apply_patches
# Use the nick "bitlbee" instead of "root"
%{__sed} -i 's/ROOT_NICK "root"/ROOT_NICK "bitlbee"/' bitlbee.h

%build
perl -pi -e "s#CFLAGS=\"-O2#CFLAGS=\"%{optflags}#g" configure
./configure	--prefix=%{_prefix} \
		--etcdir=%{_sysconfdir}/%{name} \
		--libdir=%{_libdir}/%{name} \
		--strip=0 \
		--msn=1 \
		--jabber=1 \
		--oscar=1 \
		--yahoo=1 \
		--purple=1 \
		--otr=1

%make

%install
%{makeinstall_std} install-etc install-systemd
%{__install} -d   %{buildroot}%{_var}/lib/%{name}

%triggerpostun -- bitlbee < 3.0.6
[ -d %{_var}/lib/%{name} ] && chown -R %{bitlbid}:%{bitlbid} %{_var}/lib/%{name}
%_postun_userdel %{bitlbid}

%pre
%_pre_useradd %{bitlbid} %{_var}/%{name} /bin/true
# in post it is harder to know if the new empty dir already exists
if [ $1 = 2 -a -d "%{_var}/%{name}" -a ! -d "%{_var}/lib/%{name}" ]; then
   echo -n " NOTE: new location of bitlbee users data: "
   mv -v "%{_var}/%{name}" "%{_var}/lib/%{name}"
fi

%post
ccp --delete --ifexists --set NoOrphans --oldfile %{_sysconfdir}/%{name}/%{name}.conf --newfile %{_sysconfdir}/%{name}/%{name}.conf.rpmnew
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{bitlbid}

%files
%defattr(0750,root,%{bitlbid},0755)
%{_sbindir}/%{name}
%defattr(0644,root,root,0755)
%doc doc/AUTHORS doc/README doc/FAQ
%doc doc/CHANGES doc/CREDITS
%doc doc/user-guide/

%{_datadir}/%{name}/help.txt
%dir %{_datadir}/%{name}/
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/%{name}/motd.txt
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_unitdir}/%{name}*
%defattr(0600,%{bitlbid},%{bitlbid},0700)
%{_var}/lib/%{name}


%changelog
* Sun Jun 11 2017 daviddavid <daviddavid> 3.2.2-4.1.mga5
+ Revision: 1107560
- add debian patches to fix CVE-2016-1018[89] and CVE-2017-5668 (mga#20226)

* Mon Nov 24 2014 blino <blino> 3.2.2-4.mga5
+ Revision: 798841
- merge MSN fixes from upstream (including application id update)

* Wed Oct 15 2014 umeabot <umeabot> 3.2.2-3.mga5
+ Revision: 743569
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.2-2.mga5
+ Revision: 678163
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 blino <blino> 3.2.2-1.mga5
+ Revision: 666946
- enable purple support but keep msn/jabber/oscar/yahoo builtin
- enable otr now that bitlbee is compatible with libotr 4.0
- use install-systemd make target and Fedora patch to install systemd service
- drop Fedora patch on systemd service to disable forkdaemon mode, this is only needed for SELinux
- 3.2.2

* Sat Jan 04 2014 blino <blino> 3.2.1-1.mga4
+ Revision: 564595
- 3.2.1 (to fix auth with twitter)
- restart/stop service in post/preun scriptlets

* Sat Oct 19 2013 umeabot <umeabot> 3.2-4.mga4
+ Revision: 523439
- Mageia 4 Mass Rebuild

* Tue Apr 23 2013 blino <blino> 3.2-3.mga3
+ Revision: 410980
- 3.2

* Fri Jan 11 2013 umeabot <umeabot> 3.0.6-3.mga3
+ Revision: 346909
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 3.0.6-2.mga3
+ Revision: 310339
- update RPM group

* Thu Oct 18 2012 blino <blino> 3.0.6-1.mga3
+ Revision: 308043
- use bitlbee instead of _bitlbee as user name (and chown previous files), to match upstream and Fedora
- drop sbindir hack now that upstream Makefile is fixed
- 3.06
- drop merged patches
- remove spurious fi in post scriptlet
- use /usr/sbin as bindir (like Fedora) to get correct path in systemd files

* Thu Oct 11 2012 fwang <fwang> 3.0.5-4.mga3
+ Revision: 304593
- sync with fedora packages
- disable otr build as it is not compatible with otr 4.0

* Sun Apr 08 2012 blino <blino> 3.0.5-4.mga2
+ Revision: 229780
- in postun, restart xinetd only if package removed (it is already restarted on post otherwise)

* Sat Apr 07 2012 blino <blino> 3.0.5-3.mga2
+ Revision: 229427
- better fix for upstream ticket #938

* Fri Apr 06 2012 blino <blino> 3.0.5-2.mga2
+ Revision: 229036
- fix segfault with MSN account and gnutls 3.0.18 (reported as upstream ticket #938)
- really build debug package

* Wed Feb 29 2012 blino <blino> 3.0.5-1.mga2
+ Revision: 215957
- use again gnutls since timeout issues have been fixed upstream
- 3.0.5
- remove upstream msn contacts patch

* Mon Nov 14 2011 blino <blino> 3.0.3-5.mga2
+ Revision: 167385
- fix getting MSN contacts (from upstream bzr)

* Sun Oct 02 2011 blino <blino> 3.0.3-4.mga2
+ Revision: 151114
- use openssl to avoid jabber login issues (bitlbee #779, archlinux #23678)

  + fwang <fwang>
    - rebuild for new gnutls

* Wed Jun 15 2011 blino <blino> 3.0.3-2.mga2
+ Revision: 106588
- fix typo in ccp post script

* Wed Jun 15 2011 blino <blino> 3.0.3-1.mga2
+ Revision: 106584
- 3.0.3
- buildrequire gnutls-devel

* Wed Apr 20 2011 misc <misc> 3.0.2-1.mga1
+ Revision: 89086
- new version

* Mon Jan 24 2011 blino <blino> 3.0.1-1.mga1
+ Revision: 35730
- imported package bitlbee

